Index: freewnn-1.1.1~a021+cvs20100325/Wnn/jserver/Makefile.in
===================================================================
--- freewnn-1.1.1~a021+cvs20100325.orig/Wnn/jserver/Makefile.in 2010-03-25 15:11:18.804720814 +0900
+++ freewnn-1.1.1~a021+cvs20100325/Wnn/jserver/Makefile.in 2010-03-25 15:11:23.508720156 +0900
@@ -102,9 +102,9 @@
instserver:: install
install:: jserver
- @if [ -d $(DESTDIR)$(JWNNBINDIR) ]; then set +x; \
- else (set -x; $(MKDIRHIER) $(DESTDIR)$(JWNNBINDIR)); fi
- $(LIBTOOL) --mode=install $(INSTALL) $(INSTPGMFLAGS) $(INSTUIDFLAGS) $(LOCAL_INSTFLAGS) jserver $(DESTDIR)$(JWNNBINDIR)/jserver
+ @if [ -d $(DESTDIR)$(JWNNSBINDIR) ]; then set +x; \
+ else (set -x; $(MKDIRHIER) $(DESTDIR)$(JWNNSBINDIR)); fi
+ $(LIBTOOL) --mode=install $(INSTALL) $(INSTPGMFLAGS) $(INSTUIDFLAGS) $(LOCAL_INSTFLAGS) jserver $(DESTDIR)$(JWNNSBINDIR)/`echo jserver | sed '$(transform)'`
$(OBJ0) : $(SRC0)
$(CC) -c $(CFLAGS) $(SERVERINITDEF) $(SOLINGERDEFS) $(srcdir)/`basename $@ .o`.c
Index: freewnn-1.1.1~a021+cvs20100325/Wnn/jutil/Makefile.in
===================================================================
--- freewnn-1.1.1~a021+cvs20100325.orig/Wnn/jutil/Makefile.in 2010-03-25 15:11:18.820715837 +0900
+++ freewnn-1.1.1~a021+cvs20100325/Wnn/jutil/Makefile.in 2010-03-25 15:11:23.508720156 +0900
@@ -43,13 +43,16 @@
DEFINES = $(WNNDEFINES) $(WNNLANGDEF)
HINSIDEFINE = -DHINSIDATA_FILE=\"/$(JWNNLANG)/hinsi.data\"
-CLIENTPROGRAMS = wnnstat wnnkill wddel wdreg
+CLIENTPROGRAMS = wddel wdreg
+
+# Server status / kill programs
+CLIENT_SV_PROGRAMS = wnnstat wnnkill
DICUTIL2PROGRAMS = atod atof wnntouch
DICUTILPROGRAMS = oldatonewa dtoa
-PROGRAMS = $(CLIENTPROGRAMS) $(DICUTILPROGRAMS) $(DICUTIL2PROGRAMS)
+PROGRAMS = $(CLIENTPROGRAMS) $(CLIENT_SV_PROGRAMS) $(DICUTILPROGRAMS) $(DICUTIL2PROGRAMS)
SRC1= $(WNNETCSRC)/bdic.c
OBJ1= bdic.o
@@ -190,10 +193,15 @@
install:: $(PROGRAMS)
@if [ -d $(DESTDIR)$(JWNNBINDIR) ]; then set +x; \
else (set -x; $(MKDIRHIER) $(DESTDIR)$(JWNNBINDIR)); fi
+ @if [ -d $(DESTDIR)$(JWNNSBINDIR) ]; then set +x; \
+ else (set -x; $(MKDIRHIER) $(DESTDIR)$(JWNNSBINDIR)); fi
@for flag in ${MAKEFLAGS} ''; do \
case "$$flag" in *=*) ;; *[i]*) set +e;; esac; done; \
- for i in $(PROGRAMS); do \
- (set -x; $(LT_INSTALL) $(INSTBINFLAGS) $(INSTPGMFLAGS) $(LOCAL_INSTFLAGS) $$i $(DESTDIR)$(JWNNBINDIR)); \
+ for i in $(CLIENTPROGRAMS) $(DICUTILPROGRAMS) $(DICUTIL2PROGRAMS); do \
+ (set -x; $(LT_INSTALL) $(INSTBINFLAGS) $(INSTPGMFLAGS) $(LOCAL_INSTFLAGS) $$i $(DESTDIR)$(JWNNBINDIR)/`echo $$i | sed '$(transform)'`); \
+ done; \
+ for i in $(CLIENT_SV_PROGRAMS); do \
+ (set -x; $(LT_INSTALL) $(INSTBINFLAGS) $(INSTPGMFLAGS) $(LOCAL_INSTFLAGS) $$i $(DESTDIR)$(JWNNSBINDIR)/`echo $$i | sed '$(transform)'`); \
done
$(OBJ1) : $(SRC1)
Index: freewnn-1.1.1~a021+cvs20100325/Wnn/man/4.cmd/Makefile.in
===================================================================
--- freewnn-1.1.1~a021+cvs20100325.orig/Wnn/man/4.cmd/Makefile.in 2010-03-25 15:11:18.832717655 +0900
+++ freewnn-1.1.1~a021+cvs20100325/Wnn/man/4.cmd/Makefile.in 2010-03-25 15:11:23.508720156 +0900
@@ -29,41 +29,30 @@
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
-include @top_srcdir@/makerule.mk
-top_builddir = ../../..
+include @top_builddir@/makerule.mk
+top_builddir = @top_builddir@
+ srcdir = @srcdir@
INSTALL = @INSTALL@ $(INSTALLFLAGS)
MANSUFFIX = 1
-install.man:: jserver.man
- @if [ -d $(DESTDIR)$(MANDIR) ]; then set +x; \
- else (set -x; $(MKDIRHIER) $(DESTDIR)$(MANDIR)); fi
- $(RM) $(DESTDIR)$(MANDIR)/jserver.$(MANSUFFIX)*
- $(INSTALL) $(INSTMANFLAGS) jserver.man \
- $(DESTDIR)$(MANDIR)/jserver.$(MANSUFFIX)
- -$(COMPRESSMANCMD) $(DESTDIR)$(MANDIR)/jserver.$(MANSUFFIX)
-
-install.man:: uum.man
- @if [ -d $(DESTDIR)$(MANDIR) ]; then set +x; \
- else (set -x; $(MKDIRHIER) $(DESTDIR)$(MANDIR)); fi
- $(RM) $(DESTDIR)$(MANDIR)/uum.$(MANSUFFIX)*
- $(INSTALL) $(INSTMANFLAGS) uum.man \
- $(DESTDIR)$(MANDIR)/uum.$(MANSUFFIX)
- -$(COMPRESSMANCMD) $(DESTDIR)$(MANDIR)/uum.$(MANSUFFIX)
-
-install.man:: wnnkill.man
- @if [ -d $(DESTDIR)$(MANDIR) ]; then set +x; \
- else (set -x; $(MKDIRHIER) $(DESTDIR)$(MANDIR)); fi
- $(RM) $(DESTDIR)$(MANDIR)/wnnkill.$(MANSUFFIX)*
- $(INSTALL) $(INSTMANFLAGS) wnnkill.man \
- $(DESTDIR)$(MANDIR)/wnnkill.$(MANSUFFIX)
- -$(COMPRESSMANCMD) $(DESTDIR)$(MANDIR)/wnnkill.$(MANSUFFIX)
+SERVER_MAN = jserver.man
+CLIENT_MAN = uum.man
+SVTOOL_MAN = wnnkill.man wnnstat.man
+ MANUALS = $(SERVER_MAN) $(CLIENT_MAN) $(SVTOOL_MAN)
-install.man:: wnnstat.man
+# Probably we don't need $(MANUALS) as dependency ...
+install.man::
@if [ -d $(DESTDIR)$(MANDIR) ]; then set +x; \
else (set -x; $(MKDIRHIER) $(DESTDIR)$(MANDIR)); fi
- $(RM) $(DESTDIR)$(MANDIR)/wnnstat.$(MANSUFFIX)*
- $(INSTALL) $(INSTMANFLAGS) wnnstat.man \
- $(DESTDIR)$(MANDIR)/wnnstat.$(MANSUFFIX)
- -$(COMPRESSMANCMD) $(DESTDIR)$(MANDIR)/wnnstat.$(MANSUFFIX)
+ for m in $(MANUALS); do \
+ manname=`basename $$m .man | sed '$(transform)'`; \
+ $(RM) $(DESTDIR)$(MANDIR)/$$manname.$(MANSUFFIX)*; \
+ $(INSTALL) $(INSTMANFLAGS) $(srcdir)/$$m \
+ $(DESTDIR)$(MANDIR)/$$manname.$(MANSUFFIX); \
+ done
+ -for m in $(MANUALS); do \
+ manname=`basename $$m .man | sed '$(transform)'`; \
+ $(COMPRESSMANCMD) $(DESTDIR)$(MANDIR)/$$manname.$(MANSUFFIX); \
+ done
Index: freewnn-1.1.1~a021+cvs20100325/Wnn/man/6.jutil/Makefile.in
===================================================================
--- freewnn-1.1.1~a021+cvs20100325.orig/Wnn/man/6.jutil/Makefile.in 2010-03-25 15:11:18.848718238 +0900
+++ freewnn-1.1.1~a021+cvs20100325/Wnn/man/6.jutil/Makefile.in 2010-03-25 15:11:23.508720156 +0900
@@ -29,65 +29,39 @@
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
-include @top_srcdir@/makerule.mk
-top_builddir = ../../..
+include @top_builddir@/makerule.mk
+top_builddir = @top_builddir@
+ srcdir = @srcdir@
INSTALL = @INSTALL@ $(INSTALLFLAGS)
MANSUFFIX = 1
-install.man:: atod.man
- @if [ -d $(DESTDIR)$(MANDIR) ]; then set +x; \
- else (set -x; $(MKDIRHIER) $(DESTDIR)$(MANDIR)); fi
- $(RM) $(DESTDIR)$(MANDIR)/atod.$(MANSUFFIX)*
- $(INSTALL) $(INSTMANFLAGS) atod.man \
- $(DESTDIR)$(MANDIR)/atod.$(MANSUFFIX)
- -$(COMPRESSMANCMD) $(DESTDIR)$(MANDIR)/atod.$(MANSUFFIX)
-
-install.man:: atof.man
- @if [ -d $(DESTDIR)$(MANDIR) ]; then set +x; \
- else (set -x; $(MKDIRHIER) $(DESTDIR)$(MANDIR)); fi
- $(RM) $(DESTDIR)$(MANDIR)/atof.$(MANSUFFIX)*
- $(INSTALL) $(INSTMANFLAGS) atof.man \
- $(DESTDIR)$(MANDIR)/atof.$(MANSUFFIX)
- -$(COMPRESSMANCMD) $(DESTDIR)$(MANDIR)/atof.$(MANSUFFIX)
-
-install.man:: dtoa.man
- @if [ -d $(DESTDIR)$(MANDIR) ]; then set +x; \
- else (set -x; $(MKDIRHIER) $(DESTDIR)$(MANDIR)); fi
- $(RM) $(DESTDIR)$(MANDIR)/dtoa.$(MANSUFFIX)*
- $(INSTALL) $(INSTMANFLAGS) dtoa.man \
- $(DESTDIR)$(MANDIR)/dtoa.$(MANSUFFIX)
- -$(COMPRESSMANCMD) $(DESTDIR)$(MANDIR)/dtoa.$(MANSUFFIX)
-
-install.man:: wddel.man
- @if [ -d $(DESTDIR)$(MANDIR) ]; then set +x; \
- else (set -x; $(MKDIRHIER) $(DESTDIR)$(MANDIR)); fi
- $(RM) $(DESTDIR)$(MANDIR)/wddel.$(MANSUFFIX)*
- $(INSTALL) $(INSTMANFLAGS) wddel.man \
- $(DESTDIR)$(MANDIR)/wddel.$(MANSUFFIX)
- -$(COMPRESSMANCMD) $(DESTDIR)$(MANDIR)/wddel.$(MANSUFFIX)
-
-install.man:: wdreg.man
- @if [ -d $(DESTDIR)$(MANDIR) ]; then set +x; \
- else (set -x; $(MKDIRHIER) $(DESTDIR)$(MANDIR)); fi
- $(RM) $(DESTDIR)$(MANDIR)/wdreg.$(MANSUFFIX)*
- $(INSTALL) $(INSTMANFLAGS) wdreg.man \
- $(DESTDIR)$(MANDIR)/wdreg.$(MANSUFFIX)
- -$(COMPRESSMANCMD) $(DESTDIR)$(MANDIR)/wdreg.$(MANSUFFIX)
+MANUALS = atod.man dtoa.man atof.man wddel.man wdreg.man wnntouch.man
+# Omit oldtonew.man (See below.)
-install.man:: wnntouch.man
+# Probably we don't need $(MANUALS) as dependency ...
+install.man::
@if [ -d $(DESTDIR)$(MANDIR) ]; then set +x; \
else (set -x; $(MKDIRHIER) $(DESTDIR)$(MANDIR)); fi
- $(RM) $(DESTDIR)$(MANDIR)/wnntouch.$(MANSUFFIX)*
- $(INSTALL) $(INSTMANFLAGS) wnntouch.man \
- $(DESTDIR)$(MANDIR)/wnntouch.$(MANSUFFIX)
- -$(COMPRESSMANCMD) $(DESTDIR)$(MANDIR)/wnntouch.$(MANSUFFIX)
+ for m in $(MANUALS); do \
+ manname=`basename $$m .man | sed '$(transform)'`; \
+ $(RM) $(DESTDIR)$(MANDIR)/$$manname.$(MANSUFFIX)*; \
+ $(INSTALL) $(INSTMANFLAGS) $(srcdir)/$$m \
+ $(DESTDIR)$(MANDIR)/$$manname.$(MANSUFFIX); \
+ done
+ -for m in $(MANUALS); do \
+ manname=`basename $$m .man | sed '$(transform)'`; \
+ $(COMPRESSMANCMD) $(DESTDIR)$(MANDIR)/$$manname.$(MANSUFFIX); \
+ done
+# Leave oldtonew.man (-> oldatonewa.1): need extra transformation
install.man:: oldtonew.man
@if [ -d $(DESTDIR)$(MANDIR) ]; then set +x; \
else (set -x; $(MKDIRHIER) $(DESTDIR)$(MANDIR)); fi
- $(RM) $(DESTDIR)$(MANDIR)/oldatonewa.$(MANSUFFIX)*
- $(INSTALL) $(INSTMANFLAGS) oldtonew.man \
- $(DESTDIR)$(MANDIR)/oldatonewa.$(MANSUFFIX)
- -$(COMPRESSMANCMD) $(DESTDIR)$(MANDIR)/oldatonewa.$(MANSUFFIX)
+ manname=`echo oldatonewa | sed '$(transform)'`; \
+ $(RM) $(DESTDIR)$(MANDIR)/oldatonewa.$(MANSUFFIX)*; \
+ $(INSTALL) $(INSTMANFLAGS) $(srcdir)/oldtonew.man \
+ $(DESTDIR)$(MANDIR)/$$manname.$(MANSUFFIX)
+ -manname=`echo oldatonewa | sed '$(transform)'`; \
+ $(COMPRESSMANCMD) $(DESTDIR)$(MANDIR)/$$manname.$(MANSUFFIX)
Index: freewnn-1.1.1~a021+cvs20100325/Wnn/uum/Makefile.in
===================================================================
--- freewnn-1.1.1~a021+cvs20100325.orig/Wnn/uum/Makefile.in 2010-03-25 15:11:18.864717261 +0900
+++ freewnn-1.1.1~a021+cvs20100325/Wnn/uum/Makefile.in 2010-03-25 15:11:23.508720156 +0900
@@ -78,7 +78,7 @@
install:: uum
@if [ -d $(DESTDIR)$(JWNNBINDIR) ]; then set +x; \
else (set -x; $(MKDIRHIER) $(DESTDIR)$(JWNNBINDIR)); fi
- $(LT_INSTALL) $(INSTALLFLAGS) $(INSTPGMFLAGS) $(LOCAL_INSTFLAGS) uum $(DESTDIR)$(JWNNBINDIR)/uum
+ $(LT_INSTALL) $(INSTALLFLAGS) $(INSTPGMFLAGS) $(LOCAL_INSTFLAGS) uum $(DESTDIR)$(JWNNBINDIR)/`echo uum | sed '$(transform)'`
$(OBJ2) : $(SRC2)
$(CC) -c $(CFLAGS) $(WNNETCSRC)/`basename $@ .o`.c
Index: freewnn-1.1.1~a021+cvs20100325/configure
===================================================================
--- freewnn-1.1.1~a021+cvs20100325.orig/configure 2010-03-25 15:10:26.340721707 +0900
+++ freewnn-1.1.1~a021+cvs20100325/configure 2010-03-25 15:11:23.504721310 +0900
@@ -989,6 +989,11 @@
cat <<\_ACEOF
+Program names:
+ --program-prefix=PREFIX prepend PREFIX to installed program names
+ --program-suffix=SUFFIX append SUFFIX to installed program names
+ --program-transform-name=PROGRAM run sed PROGRAM on installed program names
+
X features:
--x-includes=DIR X include files are in DIR
--x-libraries=DIR X library files are in DIR
@@ -1020,6 +1025,8 @@
--enable-kWnn build and install kWnn [default=yes]
--enable-ipv6 build and install IPv6 [default=no]
--enable-unsafe-path allow creating files in an arbitrary path [default=no]
+ --enable-traditional-layout Install files in traditional directories [default=yes]
+ --enable-sub-bindir Install executables to (ex.) $(bindir)/Wnn4 [default=yes if --enable-traditional-layout, no otherwise]
--enable-shared[=PKGS]
build shared libraries [default=yes]
--enable-static[=PKGS]
@@ -1512,6 +1519,20 @@
+test "$program_prefix" != NONE &&
+ program_transform_name="s,^,$program_prefix,;$program_transform_name"
+# Use a double $ so make ignores it.
+test "$program_suffix" != NONE &&
+ program_transform_name="s,\$,$program_suffix,;$program_transform_name"
+# Double any \ or $. echo might interpret backslashes.
+# By default was `s,x,x', remove it if useless.
+cat <<\_ACEOF >conftest.sed
+s/[\\$]/&&/g;s/;s,x,x,$//
+_ACEOF
+program_transform_name=`echo $program_transform_name | sed -f conftest.sed`
+rm conftest.sed
+
+
# Check whether --enable-debug or --disable-debug was given.
if test "${enable_debug+set}" = set; then
@@ -1857,6 +1878,81 @@
fi
+# Check whether --enable-traditional-layout or --disable-traditional-layout was given.
+if test "${enable_traditional_layout+set}" = set; then
+ enableval="$enable_traditional_layout"
+ case "${enableval}" in
+ yes) trad_layout=true ;;
+ no) trad_layout=false ;;
+ *) { { echo "$as_me:$LINENO: error: bad value for --enable-traditional-layout" >&5
+echo "$as_me: error: bad value for --enable-traditional-layout" >&2;}
+ { (exit 1); exit 1; }; } ;;
+esac
+else
+ trad_layout=true
+fi;
+
+if test $trad_layout = "true"; then
+ WNNSBINDIR="\$(bindir)"
+ # More path settings will come later ...
+else
+ WNNSBINDIR="\$(sbindir)"
+ # Same as above.
+fi
+
+
+# Check whether --enable-sub-bindir or --disable-sub-bindir was given.
+if test "${enable_sub_bindir+set}" = set; then
+ enableval="$enable_sub_bindir"
+ case "${enableval}" in
+ yes) sub_bindir=true ;;
+ no) sub_bindir=false ;;
+ *) { { echo "$as_me:$LINENO: error: bad value for --enable-sub-bindir" >&5
+echo "$as_me: error: bad value for --enable-sub-bindir" >&2;}
+ { (exit 1); exit 1; }; } ;;
+esac
+else
+ sub_bindir=guess
+fi;
+
+if test $sub_bindir = "guess"; then
+ if test $trad_layout = "true"; then
+ sub_bindir=true
+ else
+ sub_bindir=false
+ fi
+fi
+if test $sub_bindir = "true"; then
+ if_enable_sub_bindir=' '
+ if_disable_sub_bindir='#'
+else
+ if_enable_sub_bindir='#'
+ if_disable_sub_bindir=' '
+fi
+
+
+
+# for debug
+echo "$as_me:$LINENO: checking if we use traditional layout" >&5
+echo $ECHO_N "checking if we use traditional layout... $ECHO_C" >&6
+if test $trad_layout = "true"; then
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+else
+ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+fi
+
+echo "$as_me:$LINENO: checking if we install binaries on \$(bindir)/Wnn4 (etc.)" >&5
+echo $ECHO_N "checking if we install binaries on \$(bindir)/Wnn4 (etc.)... $ECHO_C" >&6
+if test $sub_bindir = "true"; then
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+else
+ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+fi
+
ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -3571,7 +3667,7 @@
;;
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 3574 "configure"' > conftest.$ac_ext
+ echo '#line 3670 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -4687,7 +4783,7 @@
# Provide some information about the compiler.
-echo "$as_me:4690:" \
+echo "$as_me:4786:" \
"checking for Fortran 77 compiler version" >&5
ac_compiler=`set X $ac_compile; echo $2`
{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -6003,11 +6099,11 @@
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:6006: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:6102: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:6010: \$? = $ac_status" >&5
+ echo "$as_me:6106: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -6293,11 +6389,11 @@
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:6296: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:6392: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:6300: \$? = $ac_status" >&5
+ echo "$as_me:6396: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -6397,11 +6493,11 @@
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:6400: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:6496: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:6404: \$? = $ac_status" >&5
+ echo "$as_me:6500: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -8683,7 +8779,7 @@
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 8686 "configure"
+#line 8782 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -8783,7 +8879,7 @@
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 8786 "configure"
+#line 8882 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -11170,11 +11266,11 @@
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:11173: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:11269: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:11177: \$? = $ac_status" >&5
+ echo "$as_me:11273: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -11274,11 +11370,11 @@
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:11277: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:11373: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:11281: \$? = $ac_status" >&5
+ echo "$as_me:11377: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -12857,11 +12953,11 @@
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:12860: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:12956: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:12864: \$? = $ac_status" >&5
+ echo "$as_me:12960: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -12961,11 +13057,11 @@
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:12964: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:13060: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:12968: \$? = $ac_status" >&5
+ echo "$as_me:13064: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -15149,11 +15245,11 @@
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:15152: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:15248: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:15156: \$? = $ac_status" >&5
+ echo "$as_me:15252: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -15439,11 +15535,11 @@
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:15442: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:15538: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:15446: \$? = $ac_status" >&5
+ echo "$as_me:15542: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -15543,11 +15639,11 @@
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:15546: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:15642: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:15550: \$? = $ac_status" >&5
+ echo "$as_me:15646: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -21401,6 +21497,9 @@
s,@KHINSI_DATA@,$KHINSI_DATA,;t t
s,@ipv6@,$ipv6,;t t
s,@unsafe_path@,$unsafe_path,;t t
+s,@WNNSBINDIR@,$WNNSBINDIR,;t t
+s,@if_enable_sub_bindir@,$if_enable_sub_bindir,;t t
+s,@if_disable_sub_bindir@,$if_disable_sub_bindir,;t t
s,@CC@,$CC,;t t
s,@CFLAGS@,$CFLAGS,;t t
s,@LDFLAGS@,$LDFLAGS,;t t
Index: freewnn-1.1.1~a021+cvs20100325/configure.in
===================================================================
--- freewnn-1.1.1~a021+cvs20100325.orig/configure.in 2010-03-25 15:11:18.768723921 +0900
+++ freewnn-1.1.1~a021+cvs20100325/configure.in 2010-03-25 15:11:23.508720156 +0900
@@ -51,6 +51,9 @@
AC_CANONICAL_HOST
+dnl
+AC_ARG_PROGRAM
+
dnl build and install libraries, server or client
AC_ARG_ENABLE(debug,
@@ -303,6 +306,67 @@
fi
dnl
+dnl Install layout controlling
+dnl
+AC_ARG_ENABLE(traditional-layout,
+[ --enable-traditional-layout Install files in traditional directories [[default=yes]]],
+[case "${enableval}" in
+ yes) trad_layout=true ;;
+ no) trad_layout=false ;;
+ *) AC_MSG_ERROR([bad value for --enable-traditional-layout]) ;;
+esac], trad_layout=true)
+
+if test $trad_layout = "true"; then
+ WNNSBINDIR="\$(bindir)"
+ # More path settings will come later ...
+else
+ WNNSBINDIR="\$(sbindir)"
+ # Same as above.
+fi
+AC_SUBST(WNNSBINDIR)
+dnl Same as above.
+
+AC_ARG_ENABLE(sub-bindir,
+[ --enable-sub-bindir Install executables to (ex.) $(bindir)/Wnn4 [[default=yes if --enable-traditional-layout, no otherwise]]],
+[case "${enableval}" in
+ yes) sub_bindir=true ;;
+ no) sub_bindir=false ;;
+ *) AC_MSG_ERROR([bad value for --enable-sub-bindir]) ;;
+esac], sub_bindir=guess)
+
+if test $sub_bindir = "guess"; then
+ if test $trad_layout = "true"; then
+ sub_bindir=true
+ else
+ sub_bindir=false
+ fi
+fi
+if test $sub_bindir = "true"; then
+ if_enable_sub_bindir=' '
+ if_disable_sub_bindir='#'
+else
+ if_enable_sub_bindir='#'
+ if_disable_sub_bindir=' '
+fi
+AC_SUBST(if_enable_sub_bindir)
+AC_SUBST(if_disable_sub_bindir)
+
+# for debug
+AC_MSG_CHECKING([if we use traditional layout])
+if test $trad_layout = "true"; then
+ AC_MSG_RESULT(yes)
+else
+ AC_MSG_RESULT(no)
+fi
+
+AC_MSG_CHECKING([if we install binaries on \$(bindir)/Wnn4 (etc.)])
+if test $sub_bindir = "true"; then
+ AC_MSG_RESULT(yes)
+else
+ AC_MSG_RESULT(no)
+fi
+
+dnl
dnl Checks for cc and cpp.
dnl
AC_PROG_CC
Index: freewnn-1.1.1~a021+cvs20100325/makerule.mk.in
===================================================================
--- freewnn-1.1.1~a021+cvs20100325.orig/makerule.mk.in 2010-03-25 15:10:19.932722100 +0900
+++ freewnn-1.1.1~a021+cvs20100325/makerule.mk.in 2010-03-25 15:11:23.508720156 +0900
@@ -101,6 +101,8 @@
INSTDATFLAGS = -m 0444
INSTUUMFLAGS = @INSTUUMFLAGS@
+ transform = @program_transform_name@
+
CCOPTIONS = @CCOPTIONS@
ALLDEFINES = $(INCLUDES) $(DEFINES)
CFLAGS = @CFLAGS@ @CDEBUGFLAGS@ $(CCOPTIONS) @ipv6@ @DEFS@ $(ALLDEFINES)
@@ -121,19 +123,33 @@
prefix = @prefix@
exec_prefix = @exec_prefix@
- PREFIX = @prefix@
- WNNWNNDIR = ${PREFIX}/lib/wnn
- WNNBINDIR = ${PREFIX}/bin
+ bindir = @bindir@
+ sbindir = @sbindir@
+ WNNWNNDIR = $(exec_prefix)/lib/wnn
+ WNNBINDIR = $(bindir)
+ WNNSBINDIR = @WNNSBINDIR@
WNNINCDIR = @includedir@
WNNLIBDIR = @libdir@
+# sub directory for binaries:
+# if --enable-sub-bindir specified:
+@if_enable_sub_bindir@ JWNNSUBBINDIR = /Wnn4
+@if_enable_sub_bindir@ CWNNSUBBINDIR = /cWnn4
+@if_enable_sub_bindir@ KWNNSUBBINDIR = /kWnn4
+# else:
+@if_disable_sub_bindir@ JWNNSUBBINDIR =
+@if_disable_sub_bindir@ CWNNSUBBINDIR =
+@if_disable_sub_bindir@ KWNNSUBBINDIR =
+# end if
+
PUBDICPLUSSRC = $(IMTOP)/PubdicPlus
WNNCONSDICSRC = $(IMTOP)/Wnn-consortium/dic
WNNTOP = $(IMTOP)/Wnn
JWNNLANG = ja_JP
JWNNWNNDIR = $(WNNWNNDIR)/$(JWNNLANG)
- JWNNBINDIR = $(WNNBINDIR)/Wnn4
+ JWNNBINDIR = $(WNNBINDIR)$(JWNNSUBBINDIR)
+ JWNNSBINDIR = $(WNNSBINDIR)$(JWNNSUBBINDIR)
JWNNINCDIR = $(WNNINCDIR)/wnn
JWNNDICDIR = $(JWNNWNNDIR)/dic
JWNNPUBDICDIR = $(JWNNDICDIR)/pubdic